address.c File Reference
`#include <assert.h>`
`#include <arpa/inet.h>`
`#include <netinet/in.h>`
`#include <sys/socket.h>`
`#include "address.h"`
Include dependency graph for address.c:

Go to the source code of this file.

## Functions

int | coap_address_equals (const coap_address_t *a, const coap_address_t *b)
| Compares given address objects `a` and `b`. More...
int | coap_is_mcast (const coap_address_t *a)
| Checks if given address `a` denotes a multicast address. More...

## Function Documentation

## coap_address_equals()

int coap_address_equals | ( | const coap_address_t * | a,
|  | const coap_address_t * | b
| ) |  |

Compares given address objects `a` and `b`.

This function returns `1` if addresses are equal, `0` otherwise. The parameters `a` and `b` must not be `NULL`;

Definition at line 18 of file address.c.

Here is the caller graph for this function:

## coap_is_mcast()

int coap_is_mcast | ( | const coap_address_t * | a | ) |

Checks if given address `a` denotes a multicast address.

This function returns `1` if `a` is multicast, `0` otherwise.

Definition at line 41 of file address.c.

Here is the caller graph for this function: